Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ORB_Core.cpp File Reference

`#include "ORB_Core.h"`
`#include "ORB_Core_TSS_Resources.h"`
`#include "ORB_Table.h"`
`#include "TAO_Internal.h"`
`#include "default_server.h"`
`#include "Profile.h"`
`#include "Stub.h"`
`#include "LF_Follower.h"`
`#include "Leader_Follower.h"`
`#include "LF_Event_Loop_Thread_Helper.h"`
`#include "Connector_Registry.h"`
`#include "Transport_Queueing_Strategies.h"`
`#include "Object_Loader.h"`
`#include "ObjectIdListC.h"`
`#include "BiDir_Adapter.h"`
`#include "Collocation_Resolver.h"`
`#include "Flushing_Strategy.h"`
`#include "Request_Dispatcher.h"`
`#include "Stub_Factory.h"`
`#include "Thread_Lane_Resources.h"`
`#include "Thread_Lane_Resources_Manager.h"`
`#include "TSS_Resources.h"`
`#include "Protocols_Hooks.h"`
`#include "IORInterceptor_Adapter.h"`
`#include "IORInterceptor_Adapter_Factory.h"`
`#include "debug.h"`
`#include "TAOC.h"`
`#include "Endpoint_Selector_Factory.h"`
`#include "Client_Strategy_Factory.h"`
`#include "Adapter_Factory.h"`
`#include "Adapter.h"`
`#include "GUIResource_Factory.h"`
`#include "PolicyFactory_Registry_Adapter.h"`
`#include "PolicyFactory_Registry_Factory.h"`
`#include "ORBInitializer_Registry_Adapter.h"`
`#include "Codeset_Manager.h"`
`#include "Policy_Manager.h"`
`#include "Policy_Current.h"`
`#include "ace/Reactor.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Argv_Type_Converter.h"`
`#include "ace/Static_Object_Lock.h"`
`#include "ace/streams.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/Message_Block.h"`
`#include "tao/ClientRequestInterceptor_Adapter.h"`
`#include "tao/ClientRequestInterceptor_Adapter_Factory.h"`
`#include "tao/ServerRequestInterceptor_Adapter.h"`
`#include "tao/ServerRequestInterceptor_Adapter_Factory.h"`

Include dependency graph for ORB_Core.cpp:

## Functions
TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Environment & | TAO_default_environment (void)
TAO_Export TAO_ORB_Core * | TAO_ORB_Core_instance (void)

## Function Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Environment& TAO_default_environment | ( | void |  | ) |

| Note: We tried with CORBA::default_environment() and others.

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance | ( | void |  | ) |

| Obtain an instance of the first ORB core registered in the ORB table.